Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.util
Class ASTParentsFirstIterator

    java.lang.Object
      org.hibernate.hql.internal.ast.util.ASTParentsFirstIterator

All Implemented Interfaces:
  Iterator

    public class ASTParentsFirstIterator

extends Object
implements Iterator

Depth first iteration of an ANTLR AST.

Constructor Summary
`ASTParentsFirstIterator(antlr.collections.AST tree)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`antlr.collections.AST` | `nextNode()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTParentsFirstIterator

    public ASTParentsFirstIterator(antlr.collections.AST tree)

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### nextNode

    public antlr.collections.AST nextNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.